<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<script type="text/javascript">

    /* *************************** 模块初始化 ***************************** */
    var editorParam = {
        //form
        actionUrl:"${contextRoot}/app/addApp",

        init: function () {

            this.initForm();
            this.bindEvents();
        },
        initForm: function () {
            var me = this;
           var data;
            var modelString = "${model.id}";
            if(modelString!=undefined && modelString!=null && modelString.length>0)
            {
               data={
                    id: "${model.id}",
                    name: "${model.name}",
                   englishName: "${model.englishName}",
                   status: "${model.status}",
                   developer: "${model.developer}",
                   icon: "${model.icon}",
                   appUrl: "${model.appUrl}",
                   appKey: "${model.appKey}",
                   appSecret: "${model.appSecret}",
                };

                me.actionUrl = "${contextRoot}/app/updateApp";
            }

            $("#div_info_form").ligerAutoForm({
                data:data,
                validate:{
                    name:"required",
                    appUrl:"required",
                    appKey:"required",
                    appSecret: {
                        required:true
                    }

                },

            });
        },
        bindEvents: function () {
            var me = this;
            $(".m-form-bottom").on("click","#btnSave",function () {
                if(!$("#div_info_form").ligerAutoForm("validate")){
                    return;
                }
                var data = $("#div_info_form").ligerAutoForm("getData");
                $.ajax({ //ajax处理
                    type: "POST",
                    url : me.actionUrl,
                    dataType : "json",
                    data:data,
                    cache:false,
                    success :function(data){
                        if(data.successFlg) {
                            parent.app.dialogSuccess(data.message);
                        }
                        else{
                            $.ligerDialog.error(data.message);
                        }
                    },
                    error :function(data){
                        $.ligerDialog.error("Status:"+data.status +"(" +data.statusText+")");
                    }
                });
            });

            $(".m-form-bottom").on("click","#btnCancel",function () {
                parent.app.dialog.close();
            });

            $("#status").ligerComboBox({data : [{"value":"有效","code":"1"},{"value":"无效","code":"0"}],
                cancelable:false,
                onSuccess:function(data){
                    if(data!=null&&data.length>0)
                    {
                        $("#status").val(data[0].code);
                        this.selectValue(data[0].code);
                    }
                    return false;
                }});

        }
    };



    $(function () {
        editorParam.init();

    });
</script>